<template>
	<div class="row d-flex align-items-center">
		<div class="col-6">
			<h3>
				Задачи на {{ date }}
			</h3>
		</div>
		<div class="col-6 d-flex justify-content-end">
			<a-button-group>
		      <a-button type="primary" icon="arrow-left" @click="$router.push({ name: 'TasksPage' })">Назад</a-button>
		      <a-button type="primary" icon="calendar" @click="$router.push({ name: 'newTaskPage' })">Новая задача</a-button>
		    </a-button-group>
		</div>
		<div class="col-12 mb-3">
			<div v-if="tasks.length != 0" class="task-list">
				<div v-for="task in tasks" :key="task.id" class="task p-3">
					<strong>
						<a-badge :status="task.status" />{{ task.title }}
					</strong>
					<!-- <div class="pl-3">
						Транспортный отдел
					</div> -->
				</div>
			</div>
			<div v-else class="task-list">
				<a-card :loading="loadingTasks">
			      <div class="text-center">
			      	<strong>
			      		На текущую дату нет ни одной задачи
			      	</strong>
			      </div>
			    </a-card>
			</div>
		</div>
	</div>
</template>

<script>
	import moment from 'moment';
	import 'moment/locale/ru';

	moment.locale('ru');

	export default {
		data () {
			this.date = this.$route.params.date;
			return {
				loadingTasks: true,
				tasks: ''
			}
		},
		created () {
			if (moment(this.date).format() === 'Invalid date') this.$router.push({ name: 'TasksPage' });
			this.loadTasks(this.date);
		},
	    methods: {
	    	moment,
	    	loadTasks (date) {
	    		this.$http.get(this.$store.state.api.url+'getTasks/'+date)
	    		.then(this.loadTasksSuccess,this.loadTasksError);
	    	},
	    	loadTasksSuccess (res) {
	    		this.loadingTasks = false;
	    		this.tasks = res.body;
	    	},
	    	loadTasksError (err) {
	    		console.log(err);
	    	}
	    }
	}
</script>

<style scoped>
	.events {
	    list-style: none;
	    margin: 0;
	    padding: 0;
	}
	.events .ant-badge-status {
	    overflow: hidden;
	    white-space: nowrap;
	    width: 100%;
	    text-overflow: ellipsis;
	    font-size: 12px;
	}
	.notes-month {
	    text-align: center;
	    font-size: 28px;
	}
	.notes-month section {
	    font-size: 28px;
	}
	.task-list {
		border: 1px solid #e8e8e8;
	}
	.task-list .task {
		border-bottom: 1px solid #e8e8e8;
	}
	.task-list .task:last-child {
		border-bottom: none;
	}
</style>